/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.v3.sampleapplications;

import javax.ejb.Local;
import javax.ejb.Asynchronous;

/**
 *
 * @author marina vatkina
 */

@Local
@Asynchronous
public interface BeanLocal {
    
    // Simple test
    @Asynchronous
    public String getString();

    // Insert Customer and Orders
    public String testInsert();

    // Verify that all are inserted
    public String verifyInsert();

    // Remove Customer and Orders
    public String testDelete(Customer c);

    // Verify that all are removed
    public String verifyDelete();

    // Get a detached instance of a Customer
    public Customer findCustomer(String name);
}
